Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface ImageInfo

All Superinterfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  ImageInfoImpl

public interface ImageInfo
extends Belonging

The ImageInfo class is used to store information related to images for product items and categories. Attribute: language

- Containment: By Value
- Multiplicity: 1:1

Attribute: alternateText

- Containment: By Value
- Multiplicity: 1:1

Attribute: url

- Containment: By Value
- Multiplicity: 1:1

Attribute: type

- Containment: By Value
- Multiplicity: 1:1

Attribute: name

- Containment: By Value
- Multiplicity: 1:1

See Also:
  `ImageInfoHome`, `ImageInfoImpl`

Method Summary
`String` | `getAlternateText()` Get the value of alternateText
`String` | `getLanguage()` Get the value of language
`String` | `getName()` Get the value of name
`int` | `getType()` Get the value of type
`String` | `getUrl()` Get the value of url
`void` | `setAlternateText(String alternateText)` Set the value of alternateText
`void` | `setLanguage(String language)` Set the value of language
`void` | `setName(String name)` Set the value of name
`void` | `setType(int type)` Set the value of type
`void` | `setUrl(String url)` Set the value of url

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getAlternateText

    public String getAlternateText()

  Get the value of alternateText

  Returns:
    alternateText.

### getLanguage

    public String getLanguage()

  Get the value of language

  Returns:
    language.

### getName

    public String getName()

  Get the value of name

  Returns:
    name.

### getType

    public int getType()

  Get the value of type

  Returns:
    type.

### getUrl

    public String getUrl()

  Get the value of url

  Returns:
    url.

### setAlternateText

    public void setAlternateText(String alternateText)

  Set the value of alternateText

  Parameters:
    `alternateText` - alternateText to be added

### setLanguage

    public void setLanguage(String language)

  Set the value of language

  Parameters:
    `language` - language to be added

### setName

    public void setName(String name)

  Set the value of name

  Parameters:
    `name` - name to be added

### setType

    public void setType(int type)

  Set the value of type

  Parameters:
    `type` - type to be added

### setUrl

    public void setUrl(String url)

  Set the value of url

  Parameters:
    `url` - url to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved